import React, { Component } from "react";
import { connect } from "react-redux";
import { auth, registration } from "../actions/auth";

import AuthForm from "../components/auth";
import RegisterForm from "../components/register";

class Auth extends Component {
	state = { auth: true };

	toggleAuthProperty = () => this.setState(prevState => ({ ...prevState, auth: !prevState.auth }));

	render() {
		const { auth } = this.state;
		const { isFetching, user, registration } = this.props;
		return (
			<div className="auth">
				<div className="auth__content">
					{isFetching && <div>Loading...</div>}
					{auth ? <AuthForm submitEvent={this.props.auth} /> : <RegisterForm submitEvent={registration} />}
					<div className="auth__buttons-block">
						{auth ? (
							<button onClick={this.toggleAuthProperty}>Do you have accaunt ?</button>
						) : (
							<button onClick={this.toggleAuthProperty}>I already have an account</button>
						)}
					</div>

					{user && (
						<div>
							<h3>
								{user.local.firstName}
								{user.local.lastName}
							</h3>
						</div>
					)}
				</div>
			</div>
		);
	}
}

const mapStateToProps = state => {
	return {
		isFetching: state.auth.isFetching,
		user: state.auth.user
	};
};

export default connect(
	mapStateToProps,
	{ auth, registration }
)(Auth);
